### Function

# GLib MainContext default

#### Declaration [src]

    GMainContext*
    g_main_context_default (
      void
    )

#### Description [src]

Returns the global-default main context. This is the main context used for main loop functions when a main loop is not explicitly specified, and corresponds to the “main” main loop. See also `g_main_context_get_thread_default()`.

#### Return value

Type: `GMainContext`

The global-default main context.

The data is owned by the called function.